Package com.google.android.exoplayer2.source

## Interface ProgressiveMediaExtractor.Factory

- Enclosing interface:
    ProgressiveMediaExtractor

      public static interface ProgressiveMediaExtractor.Factory

  Creates `ProgressiveMediaExtractor` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProgressiveMediaExtractor` | `createProgressiveMediaExtractor​(PlayerId playerId)` | Returns a new `ProgressiveMediaExtractor` instance.

- - ### Method Detail

    - #### createProgressiveMediaExtractor

          ProgressiveMediaExtractor createProgressiveMediaExtractor​(PlayerId playerId)

      Returns a new `ProgressiveMediaExtractor` instance.
      Parameters:
        `playerId` - The `PlayerId` of the player this extractor is used for.